Subject: bug#66618: closed (Re: [bug#66618] [PATCH] etc: gitconfig: Remove the default email address to avoid mistakes.)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 26 Oct 2023 10:40:02 +0000

Your bug report

#66618: [PATCH] etc: gitconfig: Remove the default email address to avoid mistakes.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
66618: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=66618
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#66618] [PATCH] etc: gitconfig: Remove the default email address to avoid mistakes.
From: Clément Lassieur <[email-masked]>
To: Simon Tournier <[email-masked]>
Cc: [email-masked], Maxim Cournoyer <[email-masked]>
Date: Thu, 26 Oct 2023 12:38:35 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

On Thu, Oct 26 2023, Simon Tournier wrote:

> Hi Clément,
>
> On Wed, 25 Oct 2023 at 22:11, Clément Lassieur <[email-masked]> wrote:
>
>> I'm sure it provides value for you but I don't think it does for others:
>> all I see is that it provides confusion.
>>
>> We want a software, and tools, that are simple to use and to understand.
>> Please don't add too much things that are hard to maintain, hard to
>> understand, and with unexpected defaults.
>
> Although I tend to agree with the weak value of ’sendemail.to’ – until
> now, I have not seen what it brings, I think you are overemphasizing the
> issue here. :-)

Alright, sorry for overemphasizing then.

I'm closing this issue now with tag "wontfix" because it's bad for Guix
that we are all wasting time on this.

Thanks,
Clément

Subject: [PATCH] etc: gitconfig: Remove the default email address to avoid mistakes.
From: Clément Lassieur <[email-masked]>
To: [email-masked]
Cc: Clément Lassieur <[email-masked]>
Date: Thu, 19 Oct 2023 00:23:38 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

* etc/git/gitconfig: Remove the default email address to avoid mistakes that
could lead to send private patches to [email-masked].
---

This just happened to me twice in a row, so I imagine it could happen to some
other people as well.

 etc/git/gitconfig | 1 -
 1 file changed, 1 deletion(-)

diff --git a/etc/git/gitconfig b/etc/git/gitconfig
index 907ad0180454..3e94fe801e90 100644
--- a/etc/git/gitconfig
+++ b/etc/git/gitconfig
@@ -13,6 +13,5 @@
         rebase = true
 
 [sendemail]
-        to = [email-masked]
         headerCmd = etc/teams.scm cc-members-header-cmd
         thread = no

base-commit: de8cf1b50277bd5bc47397011b1669ada1b46e9d
-- 
2.41.0